Panda3D

Functions
config_androiddisplay.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_androiddisplay.h"`
`#include "androidGraphicsPipe.h"`
`#include "androidGraphicsWindow.h"`
`#include "androidGraphicsStateGuardian.h"`
`#include "graphicsPipeSelection.h"`
`#include "dconfig.h"`
`#include "pandaSystem.h"`
`#include "config_display.h"`

Go to the source code of this file.

## Functions
| Configure (config_androiddisplay)
| ConfigureFn (config_androiddisplay)
const std::string | get_egl_error_string (int error)
| Returns the given EGL error as string. More...
void | init_libandroiddisplay ()
| Initializes the library. More...
| NotifyCategoryDef (androiddisplay, "display")

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  rdb

Date
  2013-01-11

Definition in file config_androiddisplay.cxx.

## Function Documentation

## ◆ get_egl_error_string()

const std::string get_egl_error_string | ( | int | error | ) |

Returns the given EGL error as string.

Definition at line 67 of file config_androiddisplay.cxx.

Referenced by AndroidGraphicsStateGuardian::choose_pixel_format(), eglGraphicsStateGuardian::choose_pixel_format(), AndroidGraphicsStateGuardian::create_context(), AndroidGraphicsStateGuardian::destroy_context(), AndroidGraphicsStateGuardian::get_properties(), and eglGraphicsStateGuardian::get_properties().

## ◆ init_libandroiddisplay()

void init_libandroiddisplay | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 38 of file config_androiddisplay.cxx.

References GraphicsPipeSelection::add_pipe_type(), PandaSystem::get_global_ptr(), GraphicsPipeSelection::get_global_ptr(), init_libdisplay(), and PandaSystem::set_system_tag().

Referenced by init_libpandagles().